Upstream information

CVE-2018-19211 at MITRE

Description

In ncurses 6.1, there is a NULL pointer dereference at function _nc_parse_entry in parse_entry.c that will lead to a denial of service attack. The product proceeds to the dereference code path even after a "dubious character `*' in name or alias field" detection.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 3.3
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
SUSE Bugzilla entries: 1115929 [NEW], 1131830 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • libncurses5 >= 5.9-61.1
  • libncurses6 >= 5.9-61.1
  • ncurses >= 5.9-61.1
  • ncurses-utils >= 5.9-61.1
  • terminfo-base >= 5.9-61.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-2824
SUSE CaaS Platform 3.0
  • libncurses5 >= 5.9-61.1
  • libncurses6 >= 5.9-61.1
  • ncurses >= 5.9-61.1
  • ncurses-utils >= 5.9-61.1
  • terminfo >= 5.9-61.1
  • terminfo-base >= 5.9-61.1
Patchnames:
SUSE-CAASP-3.0-2018-2824
SUSE CaaS Platform ALL
  • libncurses5 >= 5.9-61.1
  • libncurses6 >= 5.9-61.1
  • ncurses >= 5.9-61.1
  • ncurses-utils >= 5.9-61.1
  • terminfo-base >= 5.9-61.1
Patchnames:
SUSE-CAASP-ALL-2018-2824
SUSE Linux Enterprise Desktop 12 SP3
  • libncurses5 >= 5.9-61.1
  • libncurses5-32bit >= 5.9-61.1
  • libncurses6 >= 5.9-61.1
  • libncurses6-32bit >= 5.9-61.1
  • ncurses >= 5.9-61.1
  • ncurses-devel >= 5.9-61.1
  • ncurses-utils >= 5.9-61.1
  • tack >= 5.9-61.1
  • terminfo >= 5.9-61.1
  • terminfo-base >= 5.9-61.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2824
SUSE Linux Enterprise Desktop 12 SP4
  • libncurses5 >= 5.9-61.1
  • libncurses5-32bit >= 5.9-61.1
  • libncurses6 >= 5.9-61.1
  • libncurses6-32bit >= 5.9-61.1
  • ncurses >= 5.9-61.1
  • ncurses-devel >= 5.9-61.1
  • ncurses-utils >= 5.9-61.1
  • tack >= 5.9-61.1
  • terminfo >= 5.9-61.1
  • terminfo-base >= 5.9-61.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2018-2824
SUSE Linux Enterprise Module for Basesystem 15
  • libncurses6 >= 6.1-5.3.1
  • libncurses6-32bit >= 6.1-5.3.1
  • ncurses >= 6.1-5.3.1
  • ncurses-devel >= 6.1-5.3.1
  • ncurses-utils >= 6.1-5.3.1
  • tack >= 6.1-5.3.1
  • terminfo >= 6.1-5.3.1
  • terminfo-base >= 6.1-5.3.1
  • terminfo-iterm >= 6.1-5.3.1
  • terminfo-screen >= 6.1-5.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-2861
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libncurses6 >= 6.1-5.3.1
  • libncurses6-32bit >= 6.1-5.3.1
  • ncurses-devel >= 6.1-5.3.1
  • ncurses-utils >= 6.1-5.3.1
  • tack >= 6.1-5.3.1
  • terminfo >= 6.1-5.3.1
  • terminfo-base >= 6.1-5.3.1
  • terminfo-iterm >= 6.1-5.3.1
  • terminfo-screen >= 6.1-5.3.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libncurses6-32bit
SUSE Linux Enterprise Module for Development Tools 15
  • ncurses >= 6.1-5.3.1
  • ncurses-devel-32bit >= 6.1-5.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2018-2861
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • ncurses-devel-32bit >= 6.1-5.3.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP1 GA ncurses-devel-32bit
SUSE Linux Enterprise Module for Legacy Software 15
  • libncurses5 >= 6.1-5.3.1
  • libncurses5-32bit >= 6.1-5.3.1
  • ncurses >= 6.1-5.3.1
  • ncurses5-devel >= 6.1-5.3.1
Patchnames:
SUSE-SLE-Module-Legacy-15-2018-2861
SUSE Linux Enterprise Module for Legacy Software 15 SP1
  • libncurses5 >= 6.1-5.3.1
  • libncurses5-32bit >= 6.1-5.3.1
  • ncurses5-devel >= 6.1-5.3.1
Patchnames:
SUSE Linux Enterprise Module for Legacy Software 15 SP1 GA libncurses5-32bit
SUSE Linux Enterprise Server 12 SP3
  • libncurses5 >= 5.9-61.1
  • libncurses5-32bit >= 5.9-61.1
  • libncurses6 >= 5.9-61.1
  • libncurses6-32bit >= 5.9-61.1
  • ncurses >= 5.9-61.1
  • ncurses-devel >= 5.9-61.1
  • ncurses-devel-32bit >= 5.9-61.1
  • ncurses-utils >= 5.9-61.1
  • tack >= 5.9-61.1
  • terminfo >= 5.9-61.1
  • terminfo-base >= 5.9-61.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2824
SUSE Linux Enterprise Server 12 SP4
  • libncurses5 >= 5.9-61.1
  • libncurses5-32bit >= 5.9-61.1
  • libncurses6 >= 5.9-61.1
  • libncurses6-32bit >= 5.9-61.1
  • ncurses >= 5.9-61.1
  • ncurses-devel >= 5.9-61.1
  • ncurses-devel-32bit >= 5.9-61.1
  • ncurses-utils >= 5.9-61.1
  • tack >= 5.9-61.1
  • terminfo >= 5.9-61.1
  • terminfo-base >= 5.9-61.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-2824
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libncurses5 >= 5.9-61.1
  • libncurses5-32bit >= 5.9-61.1
  • libncurses6 >= 5.9-61.1
  • libncurses6-32bit >= 5.9-61.1
  • ncurses >= 5.9-61.1
  • ncurses-devel >= 5.9-61.1
  • ncurses-devel-32bit >= 5.9-61.1
  • ncurses-utils >= 5.9-61.1
  • tack >= 5.9-61.1
  • terminfo >= 5.9-61.1
  • terminfo-base >= 5.9-61.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2824
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libncurses5 >= 5.9-61.1
  • libncurses5-32bit >= 5.9-61.1
  • libncurses6 >= 5.9-61.1
  • libncurses6-32bit >= 5.9-61.1
  • ncurses >= 5.9-61.1
  • ncurses-devel >= 5.9-61.1
  • ncurses-devel-32bit >= 5.9-61.1
  • ncurses-utils >= 5.9-61.1
  • tack >= 5.9-61.1
  • terminfo >= 5.9-61.1
  • terminfo-base >= 5.9-61.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-2824
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ncurses >= 5.9-61.1
  • ncurses-devel >= 5.9-61.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2824
SUSE Linux Enterprise Software Development Kit 12 SP4
  • ncurses >= 5.9-61.1
  • ncurses-devel >= 5.9-61.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2018-2824
openSUSE Leap 15.0
  • libncurses5 >= 6.1-lp150.4.3.1
  • libncurses5-32bit >= 6.1-lp150.4.3.1
  • libncurses5-32bit-debuginfo >= 6.1-lp150.4.3.1
  • libncurses5-debuginfo >= 6.1-lp150.4.3.1
  • libncurses6 >= 6.1-lp150.4.3.1
  • libncurses6-32bit >= 6.1-lp150.4.3.1
  • libncurses6-32bit-debuginfo >= 6.1-lp150.4.3.1
  • libncurses6-debuginfo >= 6.1-lp150.4.3.1
  • ncurses >= 6.1-lp150.4.3.1
  • ncurses-debugsource >= 6.1-lp150.4.3.1
  • ncurses-devel >= 6.1-lp150.4.3.1
  • ncurses-devel-32bit >= 6.1-lp150.4.3.1
  • ncurses-devel-32bit-debuginfo >= 6.1-lp150.4.3.1
  • ncurses-devel-debuginfo >= 6.1-lp150.4.3.1
  • ncurses-utils >= 6.1-lp150.4.3.1
  • ncurses-utils-debuginfo >= 6.1-lp150.4.3.1
  • ncurses5-devel >= 6.1-lp150.4.3.1
  • ncurses5-devel-32bit >= 6.1-lp150.4.3.1
  • tack >= 6.1-lp150.4.3.1
  • tack-debuginfo >= 6.1-lp150.4.3.1
  • terminfo >= 6.1-lp150.4.3.1
  • terminfo-base >= 6.1-lp150.4.3.1
  • terminfo-iterm >= 6.1-lp150.4.3.1
  • terminfo-screen >= 6.1-lp150.4.3.1
Patchnames:
openSUSE-2019-984
openSUSE Leap 42.3
  • libncurses5 >= 5.9-66.1
  • libncurses5-32bit >= 5.9-66.1
  • libncurses5-debuginfo >= 5.9-66.1
  • libncurses5-debuginfo-32bit >= 5.9-66.1
  • libncurses6 >= 5.9-66.1
  • libncurses6-32bit >= 5.9-66.1
  • libncurses6-debuginfo >= 5.9-66.1
  • libncurses6-debuginfo-32bit >= 5.9-66.1
  • ncurses >= 5.9-66.1
  • ncurses-debugsource >= 5.9-66.1
  • ncurses-devel >= 5.9-66.1
  • ncurses-devel-32bit >= 5.9-66.1
  • ncurses-devel-debuginfo >= 5.9-66.1
  • ncurses-devel-debuginfo-32bit >= 5.9-66.1
  • ncurses-utils >= 5.9-66.1
  • ncurses-utils-debuginfo >= 5.9-66.1
  • tack >= 5.9-66.1
  • tack-debuginfo >= 5.9-66.1
  • terminfo >= 5.9-66.1
  • terminfo-base >= 5.9-66.1
Patchnames:
openSUSE-2018-1509


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 ncurses Released
CaaS Platform 2.0 ncurses Released
CaaS Platform 3.0 ncurses Released
OpenStack Cloud Magnum Orchestration 7.0 ncurses Released
SUSE Linux Enterprise Desktop 12 SP3 ncurses Released
SUSE Linux Enterprise Desktop 12 SP4 ncurses Released
SUSE Linux Enterprise High Performance Computing 12 ncurses Released
SUSE Linux Enterprise Module for Basesystem 15 GA ncurses Released
SUSE Linux Enterprise Module for Development Tools 15 GA ncurses Released
SUSE Linux Enterprise Module for Legacy Software 15 ncurses Released
SUSE Linux Enterprise SDK 11 SP4 ncurses Affected
SUSE Linux Enterprise SDK 12 SP3 ncurses Released
SUSE Linux Enterprise SDK 12 SP4 ncurses Released
SUSE Linux Enterprise Server 11 SP3 LTSS ncurses Affected
SUSE Linux Enterprise Server 11 SP4 ncurses Affected
SUSE Linux Enterprise Server 12 GA LTSS ncurses Affected
SUSE Linux Enterprise Server 12 SP1 LTSS ncurses Affected
SUSE Linux Enterprise Server 12 SP2 LTSS ncurses Affected
SUSE Linux Enterprise Server 12 SP3 ncurses Released
SUSE Linux Enterprise Server 12 SP4 ncurses Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 ncurses Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA ncurses Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ncurses Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ncurses Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ncurses Released